org.apache.tiles.velocity

## Class TilesVelocityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tiles.api.TilesException
        - - org.apache.tiles.velocity.TilesVelocityException

- All Implemented Interfaces:
    Serializable

      public class TilesVelocityException
      extends TilesException

  Exception connected to the usage of Velocity and Tiles.
  Since:
    2.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TilesVelocityException()` Constructor.
    `TilesVelocityException(String message)` Constructor.
    `TilesVelocityException(String message, Throwable e)` Constructor.
    `TilesVelocityException(Throwable e)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TilesVelocityException

          public TilesVelocityException()

      Constructor.
      Since:
        2.2.0

    - #### TilesVelocityException

          public TilesVelocityException(String message)

      Constructor.
      Parameters:
        `message` - The message of the exception.
      Since:
        2.2.0

    - #### TilesVelocityException

          public TilesVelocityException(Throwable e)

      Constructor.
      Parameters:
        `e` - The cause of the exception.
      Since:
        2.2.0

    - #### TilesVelocityException

          public TilesVelocityException(String message,
                                        Throwable e)

      Constructor.
      Parameters:
        `message` - The message of the exception.
        `e` - The cause of the exception.
      Since:
        2.2.0

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.